Subject: Re: BUG: scheduling while atomic: swapper/0/0x00000002

From: "Paul E. McKenney" <[email-masked]>
Date: Mon, 28 Jun 2010 09:49:06 -0700

On Wed, Jun 09, 2010 at 06:08:54PM -0700, Paul E. McKenney wrote:
> On Thu, Jun 10, 2010 at 09:20:08AM +1000, Benjamin Herrenschmidt wrote:
> > On Wed, 2010-06-09 at 14:52 -0700, Paul E. McKenney wrote:
> > > Hello!
> > > 
> > > I get the following during boot on a 16 CPU Power box.  Thoughts?
> > > (/proc/config attached)
> > 
> > Wow... looks like the preempt count of the idle task got busted or
> > something ... how reproduceable ? Something like a record of previous
> > interrupts might be useful..
> 
> I have seen it only once, but it did get my attention.  I will try running
> it again this evening when/if kernel-ml8 is free again.  2.6.35-rc2,
> I should have mentioned.

And it does appear to be reproducible perhaps 50% of boots running
CONFIG_PREEMPT on kernel-ml8.  I have not yet seen it on any other system.
Do you have a patch to instrument the interrupts so as to get the info
you need, or should I improvise?

 							Thanx, Paul